;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux honyaku-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The honyaku-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (nconc load-path (list (concat "/usr/share/"
                                               (symbol-name flavor)
                                               "/site-lisp/honyaku-el"))))

(let
  ((honyaku-el  nil))
   (setq honyaku-el "honyaku")
   (autoload 'honyaku-dic-je
     honyaku-el "Dictionary search from Japanese to English" t)
   
   (autoload 'honyaku-paragraph-translate-je
     honyaku-el "Paragraph translation from Japanese to English" t)
   
   (autoload 'honyaku-sentence-translate-je
     honyaku-el "Sentence translation from Japanese to English" t)
   
   (autoload 'honyaku-translate-je
     honyaku-el "Translation from Japanese to English" t)
   
   (autoload 'honyaku-dic-ej
     honyaku-el "Dictionary search from English to Japanese" t)
   
   (autoload 'honyaku-dic-word-ej
     honyaku-el "Dictionary word search from English to Japanese" t)
   
   (autoload 'honyaku-paragraph-translate-ej
     honyaku-el "Paragraph translation from English to Japanese" t)
   
   (autoload 'honyaku-sentence-translate-ej
     honyaku-el "Sentence translation from English to Japanese" t)
   
   (autoload 'honyaku-word-translate-ej
     honyaku-el "Word translation from English to Japanese" t)
   
   (autoload 'honyaku-translate-ej
     honyaku-el "Translation from English to Japanese" t)
   )